changeset 198:8430cea87268

Merge with release 0.5.0.
author John Schneiderman <JohnMS@member.fsf.org>
date Mon, 01 Mar 2021 16:19:15 +0100
parents 4f72689039a5 (current diff) 66ddbc1762ae (diff)
children d62347136513
files
diffstat 8 files changed, 60 insertions(+), 25 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.hgsigs	Mon Mar 01 16:19:15 2021 +0100
@@ -0,0 +1,1 @@
+bfac4cfaf5f5b32a9e6d65514d35e9ae8565ba35 0 iQEzBAABCAAdFiEEcFXN86T2iLzC/LG//fWF3ErnApoFAmA9BZcACgkQ/fWF3ErnApr+GQf8DM/8xamL0p72MhF3FvcWAjW1/CG4t4tXLMiHyGKS0wOM39UmLRcNEVkDF3dbNIjhZjqlQSTPOxrPLE1o+083fWdeQYam3FA9Q1h+YeFBJPa9lvGiqacVwWuR5tj4kOXBK5PT3vipBnKaTX6Xjhu5X74xGVQklQfrmjyUhjD2Z1V3YbukiXp02Fjl8BCnl0KoMoXgq8EsyX4xSKPeLV9FRfwccb/cuNbNW+3v7Fudhrd4HPZ7jqviJpCVTu4y5JOAydZAPG/PqKnrjT5Ord2VTFnCGbN//3WZzhx47QQzxrujcAolRNJjT6wRkSGS5+G0Rd4ZZVvTkzxIat2PIeRFAQ==
--- a/.hgtags	Sat Feb 27 10:54:06 2021 +0100
+++ b/.hgtags	Mon Mar 01 16:19:15 2021 +0100
@@ -11,3 +11,20 @@
 a2c9d9f7a9b86ffde921648eadb67f92e609296f 0.4.1
 278107cbfa859a1168b9ae248e3f39cd08df38a6 0.4.2
 2923b29c497e8102cf73a8b949216d597a54d4f0 0.5.0
+2923b29c497e8102cf73a8b949216d597a54d4f0 0.5.0
+767e4e0db05a7c2513711e7c1b6e0ddaab43e7df 0.5.0
+767e4e0db05a7c2513711e7c1b6e0ddaab43e7df 0.5.0
+741cf3b51fc16d3de8afd85b729cad945ee622e9 0.5.0
+741cf3b51fc16d3de8afd85b729cad945ee622e9 0.5.0
+dbb873bf098640b973fdd9c7bce018d271f29059 0.5.0
+dbb873bf098640b973fdd9c7bce018d271f29059 0.5.0
+d915a24754e606b38e6290995d6c17116c645b55 0.5.0
+ca41dcf0ac295f1c4f843a8c8842271584d7ee91 0.5.5
+ca41dcf0ac295f1c4f843a8c8842271584d7ee91 0.5.5
+0000000000000000000000000000000000000000 0.5.5
+d915a24754e606b38e6290995d6c17116c645b55 0.5.0
+e209330fc79ce3c289f69998a476782092f2038f 0.5.0
+e209330fc79ce3c289f69998a476782092f2038f 0.5.0
+46b88327bdb855800f924bd063d7b86cea1f023f 0.5.0
+46b88327bdb855800f924bd063d7b86cea1f023f 0.5.0
+c601191ec1bf4b32ab360d56490097cdca758785 0.5.0
--- a/ChangeLog	Sat Feb 27 10:54:06 2021 +0100
+++ b/ChangeLog	Mon Mar 01 16:19:15 2021 +0100
@@ -23,7 +23,7 @@
 	* Feature: Look-up the country/entity that uses a currency is available.
 	* Feature: Look-up the name of a currency via its code.
 	* Feature: Refactored the API to be clearer about intention.
-	* Bug Fix: Triggering potential undefined behaviour when when sorting.
+	* Bug Fix: Triggering potential undefined behaviour when sorting.
 	* Development: Uses the built-in CMake internal/external source code functionality.
 	* Development: Ability to select building a static or shared library.
 	* Development: Set of scripts to automate the generation of the currency codes.
--- a/pkg/buildDeb.sh	Sat Feb 27 10:54:06 2021 +0100
+++ b/pkg/buildDeb.sh	Mon Mar 01 16:19:15 2021 +0100
@@ -19,12 +19,12 @@
 #*******************************************************************************
 
 #!/usr/bin/env bash
-#shopt -s -o xtrace # Enables echoing out every statement prior to invocation.
 shopt -s -o nounset  # Don't allow the use of variables that haven't been declared
+shopt -s -o pipefail  # This option sets the exit code of a pipeline to that of the rightmost
+					  # command to exit with a non-zero status, or zero if all commands of the
+					  # pipeline exit successfully.
+shopt -s -o errexit  # Exit when a command fails
 shopt -s extglob  # Allow the use of the extra pattern
-# This option sets the exit code of a pipeline to that of the rightmost command to exit with a
-# non-zero status, or zero if all commands of the pipeline exit successfully.
-shopt -s -o pipefail
 
 # Program Variables
 #___________________________________________________________________________________________________
@@ -90,7 +90,7 @@
 cd "$path/.."
 
 echo "Generating project tarball..."
-hg archive "${tarballFileName}" || exit $?
+hg archive "${tarballFileName}" -r "${version}" || exit $?
 
 if [[ ! -e "${debBuildDirectoryPath}/" ]]
 then
--- a/pkg/buildRpm.sh	Sat Feb 27 10:54:06 2021 +0100
+++ b/pkg/buildRpm.sh	Mon Mar 01 16:19:15 2021 +0100
@@ -20,10 +20,11 @@
 
 #!/usr/bin/env bash
 shopt -s -o nounset  # Don't allow the use of variables that haven't been declared
+shopt -s -o pipefail  # This option sets the exit code of a pipeline to that of the rightmost
+					  # command to exit with a non-zero status, or zero if all commands of the
+					  # pipeline exit successfully.
+shopt -s -o errexit  # Exit when a command fails
 shopt -s extglob  # Allow the use of the extra pattern
-# This option sets the exit code of a pipeline to that of the rightmost command to exit with a
-# non-zero status, or zero if all commands of the pipeline exit successfully.
-shopt -s -o pipefail
 
 # Program Variables
 #___________________________________________________________________________________________________
@@ -73,7 +74,7 @@
 pushd "$path/.."
 
 echo "Generating project tarball..."
-hg archive "${tarballFileName}" || exit $?
+hg archive "${tarballFileName}" -r "${version}" || exit $?
 mv "${tarballFileName}" "${rpmBuildDirectoryPath}/SOURCES" || exit $?
 
 echo "Copying SPEC file..."
--- a/pkg/debian/changelog	Sat Feb 27 10:54:06 2021 +0100
+++ b/pkg/debian/changelog	Mon Mar 01 16:19:15 2021 +0100
@@ -2,4 +2,4 @@
 
   * Initial release
 
- -- John Schneiderman <JohnMS@member.fsf.org>  Fri, 22 Jan 2021 16:38:16 +0100
+ -- John Schneiderman <JohnMS@member.fsf.org>  Sat, 27 FEb 2021 12:06:00 +0100
--- a/pkg/pecunia.spec	Sat Feb 27 10:54:06 2021 +0100
+++ b/pkg/pecunia.spec	Mon Mar 01 16:19:15 2021 +0100
@@ -15,21 +15,21 @@
 #**  See the GNU Lesser General Public License for more details.             ***
 #**                                                                          ***
 #**  You should have received a copy of the GNU Lesser General Public License***
-#**  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
+#**  along with this program. If not, see <http:/www.gnu.org/licenses/>.    ***
 #*******************************************************************************
 
+%define so_number	0
+
 Name:			pecunia
 Version:		0.5.0
-Release:		%mkrel 1%distsuffix
+Release:		1%distsuffix%dist
 Summary:		C++ ISO-4217 Currency Library
-Source0:		https://packaging.schneiderman.me/binaries/%{name}-%{version}.tar.gz
-URL:			http://www.schneiderman.me/projects/%{name}
+Source0:		https:/packaging.schneiderman.me/binaries/%{name}-%{version}.tar.gz
+URL:			http:/www.schneiderman.me/projects/%{name}
 
 Group:			Development/C++
 License:		LGPLv3+
 
-%define so_number 0
-
 
 %description
 A C++ library for working with currencies using the ISO-4217 standard.
@@ -47,15 +47,23 @@
 %prep
 %setup -q -a 0
 
-
 %build
 %cmake \
 	-DLIB_INSTALL_DIR=%{_libdir}
-cd %_build
+if [ -d %_build ]
+then
+	cd %_build
+fi
 %make_build
 
 %install
-cd %_build
+if [ -d build ]
+then
+	cd build
+elif [ -d %_build ]
+then
+	cd %_build
+fi
 %make_install
 
 %files
@@ -80,12 +88,13 @@
 %{_includedir}/pecunia/Rounders.h
 %{_includedir}/pecunia/SetUp.h
 %{_includedir}/pecunia/pecunia_export.h
-%{_libdir}/cmake//pecunia/pecuniaConfig.cmake
-%{_libdir}/cmake//pecunia/pecuniaTargets-relwithdebinfo.cmake
-%{_libdir}/cmake//pecunia/pecuniaTargets.cmake
-%{_libdir}/cmake//pecunia/pecuniaVersion.cmake
+%{_libdir}/cmake/pecunia/pecuniaConfig.cmake
+%{_libdir}/cmake/pecunia/pecuniaTargets-*.cmake
+%{_libdir}/cmake/pecunia/pecuniaTargets.cmake
+%{_libdir}/cmake/pecunia/pecuniaVersion.cmake
 
 
 %changelog
-* Sat Feb 27 2021 John Schneiderman <JohnMS@member.fsf.org> 0.5.0-1jms.mga7
+* Sat Feb 27 2021 John Schneiderman <JohnMS@member.fsf.org> 0.5.0-1jms
 - Initial packaging.
+
--- a/src/CMakeLists.txt	Sat Feb 27 10:54:06 2021 +0100
+++ b/src/CMakeLists.txt	Mon Mar 01 16:19:15 2021 +0100
@@ -20,6 +20,7 @@
 cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
 project(
 	pecunia
+	DESCRIPTION ${Pecunia_DESCRIPTION}
 	VERSION ${Pecunia_VERSION}
 	LANGUAGES CXX
 )
@@ -160,3 +161,9 @@
 		COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 	)
 endif()
+
+set(CPACK_PACKAGE_VENDOR "John M. Schneiderman")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${Pecunia_DESCRIPTION})
+set(CPACK_PACKAGE_INSTALL_DIRECTORY "Pecunia")
+set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
+include(CPack)